<?php

namespace App\Services\Interfaces;

use App\Models\Slider;
use Illuminate\Http\Request;

interface SliderRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Slider $slider);
    public function save(Request $request, ?Slider $slider): Slider;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
